      SUBROUTINE CSI(DEVIND,UICIND,FILIND,MORE,WILD,EQUAL,LUN,          00226 
     1 NODIND)                                          !861031         00227 
      IMPLICIT NONE                                                     00231 
      INCLUDE ' 32766 .FID/NOLIST'                                      00231 
      INTEGER*2 MAX_NUM_SW                                              00245 
      INTEGER*2 MAX_NUM_VAL                                             00246 
      PARAMETER (MAX_NUM_SW=20)   !Max number of switches               00248 
      PARAMETER (MAX_NUM_VAL=100) !Max number of switch values          00249 
      INTEGER*4 DEVIND_ADDR     !Address to return device indicies      00251 
      INTEGER*4 EQUAL_ADDR      !Address to return equal status         00252 
      INTEGER*4 FILIND_ADDR     !Address to return file spec indicies   00253 
      INTEGER*2 LINE_POINTER(2) !Position in input line after last      00254 
      INTEGER*4 MORE_ADDR       !Address to return more status          00257 
      INTEGER*4 NODIND_ADDR     !Address to return Node indicies!861031 00258 
      INTEGER*2 NUM_SW_DFN      !Number of switches defined             00259 
      INTEGER*2 NUM_SW_VAL_DFN  !Number of switch values defined        00260 
      BYTE      SW_NAME(2,MAX_NUM_SW) !ASCII switch names               00261 
      INTEGER*4 SW_STATE_ADDR(MAX_NUM_SW) !Addr to return sw status     00262 
      INTEGER*2 SW_STATE_DFLT(MAX_NUM_SW) !Default for sw status        00263 
      INTEGER*4 SW_VALUE_ADDR(MAX_NUM_VAL) !Addr to return sw value     00264 
      INTEGER*2 SW_VALUE_CHAIN(2,MAX_NUM_SW) !Pointers to 1st & last sw 00265 
      INTEGER*2 SW_VALUE_LENGTH(MAX_NUM_VAL)                            00269 
      INTEGER*4 UICIND_ADDR     !Address to return directory indicies   00282 
      INTEGER*4 WILD_ADDR       !Address to return WILD status          00283 
      COMMON/CSI_DATA_BASE__/LINE_POINTER,                              00285 
     1 NUM_SW_DFN,NUM_SW_VAL_DFN,NODIND_ADDR,DEVIND_ADDR,UICIND_ADDR,   00286 
     2 FILIND_ADDR,MORE_ADDR,WILD_ADDR,EQUAL_ADDR,SW_NAME,              00287 
     3 SW_STATE_ADDR,SW_STATE_DFLT,SW_VALUE_ADDR,SW_VALUE_LENGTH,       00288 
     4 SW_VALUE_CHAIN                                                   00289 
      INTEGER*2 NARGS,MAP,DEVIND(2),UICIND(2),FILIND(2),LUN             00295 
      INTEGER*2 NODIND(2)                                       !861031 00296 
      LOGICAL*2 MORE,WILD,EQUAL                                         00297 
      LINE_POINTER(1)=0                                                 00302 
      LINE_POINTER(2)=0                                                 00303 
      NUM_SW_DFN=0                                                      00304 
      NUM_SW_VAL_DFN=0                                                  00305 
      NODIND_ADDR=0                                             !861031 00309 
      DEVIND_ADDR=0                                                     00310 
      UICIND_ADDR=0                                                     00311 
      FILIND_ADDR=0                                                     00312 
      MORE_ADDR=0                                                       00313 
      WILD_ADDR=0                                                       00314 
      EQUAL_ADDR=0                                                      00315 
      CALL ARGS(NARGS,MAP)                                              00319 
      IF((NARGS.GE.1).AND.((MAP.AND."1).NE.0))DEVIND_ADDR=%LOC(DEVIND)  00320 
      IF((NARGS.GE.3).AND.((MAP.AND."2).NE.0))UICIND_ADDR=%LOC(UICIND)  00321 
      IF((NARGS.GE.3).AND.((MAP.AND."4).NE.0))FILIND_ADDR=%LOC(FILIND)  00322 
      IF((NARGS.GE.4).AND.((MAP.AND."10).NE.0))THEN                     00323 
      MORE_ADDR=%LOC(MORE)                                              00324 
      MORE=.FALSE.                                                      00325 
      ENDIF                                                             00326 
      IF((NARGS.GE.5).AND.((MAP.AND."20).NE.0))WILD_ADDR=%LOC(WILD)     00327 
      IF((NARGS.GE.6).AND.((MAP.AND."40).NE.0))EQUAL_ADDR=%LOC(EQUAL)   00328 
      IF ((NARGS.GE.8).AND.((MAP.AND."200).NE.0)) THEN  !861031         00330 
      NODIND_ADDR=%LOC(NODIND)                          !861031         00331 
      ENDIF                                                     !861031 00332 
      RETURN                                                            00334 
      END                                                               00335 
